httpd-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Joshua Slive" <jos...@slive.ca>
Subject Re: [users@httpd] mpm on php
Date Wed, 21 Jun 2006 13:32:49 GMT
On 6/21/06, onin <jnana@mobius.ph> wrote:
> hi all!
>
> i've installed php5 and apache2 on a winxp os.
>
> after reading the php install file.
> there's paragraph like this:
> ---------
> We do not recommend using a threaded MPM in production with Apache2. Use
> the prefork MPM instead, or use Apache1. For information on why, read
> the related FAQ entry on using Apache2 with a threaded MPM
> <http://www.php.net/manual/en/faq.installation.php#faq.installation.apache2>
> ---------
> how can i check what kind of mpm im currently using?
> and how can i configure my apache to use prefork MPM?

On windows, you have no choice.  The mpm is always threaded (and was
even in 1.3).  This makes the warning above pretty absurd.  (Although,
in its defense, I'm sure the php people would point out that the big
problem with php and threaded servers are non-thread-safe libraries,
and the libraries people use on win32 are more likely be to be
thread-safe than the typical unix stuff.)

Joshua.

---------------------------------------------------------------------
The official User-To-User support forum of the Apache HTTP Server Project.
See <URL:http://httpd.apache.org/userslist.html> for more info.
To unsubscribe, e-mail: users-unsubscribe@httpd.apache.org
   "   from the digest: users-digest-unsubscribe@httpd.apache.org
For additional commands, e-mail: users-help@httpd.apache.org


Mime
View raw message